diff --git a/base/server/python/pki/server/deployment/scriptlets/instance_layout.py b/base/server/python/pki/server/deployment/scriptlets/instance_layout.py
index 83c101fa7955f7970b6f58ac8c9bb71aed6f4e41..97a2d180251f5446d8e330fffa6f2b052d7670f2 100644
--- a/base/server/python/pki/server/deployment/scriptlets/instance_layout.py
+++ b/base/server/python/pki/server/deployment/scriptlets/instance_layout.py
@@ -35,7 +35,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_INSTANCE_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
@@ -44,33 +44,33 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
 
         # if this is the first subsystem
-        if deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
             len(deployer.instance.tomcat_instance_subsystems()) == 1:
 
             # establish instance logs
-            deployer.directory.create(deployer.master_dict['pki_instance_log_path'])
+            deployer.directory.create(deployer.mdict['pki_instance_log_path'])
 
             # establish Tomcat instance configuration
             deployer.directory.copy(
-                deployer.master_dict['pki_source_server_path'],
-                deployer.master_dict['pki_instance_configuration_path'])
+                deployer.mdict['pki_source_server_path'],
+                deployer.mdict['pki_instance_configuration_path'])
 
             # establish Tomcat instance base
-            deployer.directory.create(deployer.master_dict['pki_tomcat_common_path'])
-            deployer.directory.create(deployer.master_dict['pki_tomcat_common_lib_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_common_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_common_lib_path'])
             # establish Tomcat instance library
-            deployer.directory.create(deployer.master_dict['pki_instance_lib'])
-            for name in os.listdir(deployer.master_dict['pki_tomcat_lib_path']):
+            deployer.directory.create(deployer.mdict['pki_instance_lib'])
+            for name in os.listdir(deployer.mdict['pki_tomcat_lib_path']):
                 deployer.symlink.create(
                     os.path.join(
-                        deployer.master_dict['pki_tomcat_lib_path'],
+                        deployer.mdict['pki_tomcat_lib_path'],
                         name),
                     os.path.join(
-                        deployer.master_dict['pki_instance_lib'],
+                        deployer.mdict['pki_instance_lib'],
                         name))
-            deployer.symlink.create(deployer.master_dict['pki_instance_conf_log4j_properties'],
-                                deployer.master_dict['pki_instance_lib_log4j_properties'])
-            deployer.directory.create(deployer.master_dict['pki_tomcat_tmpdir_path'])
+            deployer.symlink.create(deployer.mdict['pki_instance_conf_log4j_properties'],
+                                deployer.mdict['pki_instance_lib_log4j_properties'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_tmpdir_path'])
 
             # Copy /usr/share/pki/server/webapps to <instance>/webapps
             deployer.directory.copy(
@@ -78,160 +78,160 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
                     "server",
                     "webapps"),
-                deployer.master_dict['pki_tomcat_webapps_path'])
+                deployer.mdict['pki_tomcat_webapps_path'])
 
             # If desired and available,
             # copy selected server theme
             # to <instance>/webapps/pki
-            if config.str2bool(deployer.master_dict['pki_theme_enable']) and\
-                os.path.exists(deployer.master_dict['pki_theme_server_dir']):
+            if config.str2bool(deployer.mdict['pki_theme_enable']) and\
+                os.path.exists(deployer.mdict['pki_theme_server_dir']):
                 deployer.directory.copy(
-                    deployer.master_dict['pki_theme_server_dir'],
+                    deployer.mdict['pki_theme_server_dir'],
                     os.path.join(
-                        deployer.master_dict['pki_tomcat_webapps_path'],
+                        deployer.mdict['pki_tomcat_webapps_path'],
                         "pki"),
                     overwrite_flag=True)
 
-            deployer.directory.create(deployer.master_dict['pki_tomcat_work_path'])
-            deployer.directory.create(deployer.master_dict['pki_tomcat_work_catalina_path'])
-            deployer.directory.create(deployer.master_dict['pki_tomcat_work_catalina_host_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_work_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_work_catalina_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_work_catalina_host_path'])
             deployer.directory.create(
-                deployer.master_dict['pki_tomcat_work_catalina_host_run_path'])
+                deployer.mdict['pki_tomcat_work_catalina_host_run_path'])
             deployer.directory.create(
-                deployer.master_dict['pki_tomcat_work_catalina_host_subsystem_path'])
+                deployer.mdict['pki_tomcat_work_catalina_host_subsystem_path'])
             # establish Tomcat instance logs
             # establish Tomcat instance registry
             # establish Tomcat instance convenience symbolic links
-            deployer.symlink.create(deployer.master_dict['pki_tomcat_bin_path'],
-                                deployer.master_dict['pki_tomcat_bin_link'])
-            deployer.symlink.create(deployer.master_dict['pki_tomcat_systemd'],
-                                deployer.master_dict['pki_instance_systemd_link'],
+            deployer.symlink.create(deployer.mdict['pki_tomcat_bin_path'],
+                                deployer.mdict['pki_tomcat_bin_link'])
+            deployer.symlink.create(deployer.mdict['pki_tomcat_systemd'],
+                                deployer.mdict['pki_instance_systemd_link'],
                                 uid=0, gid=0)
             # establish Tomcat instance common lib jar symbolic links
-            deployer.symlink.create(deployer.master_dict['pki_apache_commons_collections_jar'],
-                deployer.master_dict['pki_apache_commons_collections_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_apache_commons_io_jar'],
-                deployer.master_dict['pki_apache_commons_io_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_apache_commons_lang_jar'],
-                deployer.master_dict['pki_apache_commons_lang_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_apache_commons_logging_jar'],
-                deployer.master_dict['pki_apache_commons_logging_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_commons_codec_jar'],
-                deployer.master_dict['pki_commons_codec_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_httpclient_jar'],
-                deployer.master_dict['pki_httpclient_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_httpcore_jar'],
-                deployer.master_dict['pki_httpcore_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_javassist_jar'],
-                deployer.master_dict['pki_javassist_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_jss_jar'],
-                deployer.master_dict['pki_jss_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_ldapjdk_jar'],
-                deployer.master_dict['pki_ldapjdk_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_tomcat_jar'],
-                deployer.master_dict['pki_tomcat_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_scannotation_jar'],
-                deployer.master_dict['pki_scannotation_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_tomcatjss_jar'],
-                deployer.master_dict['pki_tomcatjss_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_velocity_jar'],
-                deployer.master_dict['pki_velocity_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_xerces_j2_jar'],
-                deployer.master_dict['pki_xerces_j2_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_xml_commons_apis_jar'],
-                deployer.master_dict['pki_xml_commons_apis_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_xml_commons_resolver_jar'],
-                deployer.master_dict['pki_xml_commons_resolver_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_apache_commons_collections_jar'],
+                deployer.mdict['pki_apache_commons_collections_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_apache_commons_io_jar'],
+                deployer.mdict['pki_apache_commons_io_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_apache_commons_lang_jar'],
+                deployer.mdict['pki_apache_commons_lang_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_apache_commons_logging_jar'],
+                deployer.mdict['pki_apache_commons_logging_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_commons_codec_jar'],
+                deployer.mdict['pki_commons_codec_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_httpclient_jar'],
+                deployer.mdict['pki_httpclient_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_httpcore_jar'],
+                deployer.mdict['pki_httpcore_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_javassist_jar'],
+                deployer.mdict['pki_javassist_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_jss_jar'],
+                deployer.mdict['pki_jss_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_ldapjdk_jar'],
+                deployer.mdict['pki_ldapjdk_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_tomcat_jar'],
+                deployer.mdict['pki_tomcat_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_scannotation_jar'],
+                deployer.mdict['pki_scannotation_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_tomcatjss_jar'],
+                deployer.mdict['pki_tomcatjss_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_velocity_jar'],
+                deployer.mdict['pki_velocity_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_xerces_j2_jar'],
+                deployer.mdict['pki_xerces_j2_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_xml_commons_apis_jar'],
+                deployer.mdict['pki_xml_commons_apis_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_xml_commons_resolver_jar'],
+                deployer.mdict['pki_xml_commons_resolver_jar_link'])
 
             # Jackson
-            deployer.symlink.create(deployer.master_dict['pki_jackson_annotations_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_annotations_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-annotations.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_core_asl_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_core_asl_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-core-asl.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_core_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_core_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-core.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_databind_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_databind_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-databind.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_jaxrs_base_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_jaxrs_base_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-jaxrs-base.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_jaxrs_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_jaxrs_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-jaxrs.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_jaxrs_json_provider_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_jaxrs_json_provider_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-jaxrs-json-provider.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_mapper_asl_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_mapper_asl_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-mapper-asl.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_module_jaxb_annotations_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_module_jaxb_annotations_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-module-jaxb-annotations.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_mrbean_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_mrbean_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-mrbean.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_smile_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_smile_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-smile.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_jackson_xc_jar'],
+            deployer.symlink.create(deployer.mdict['pki_jackson_xc_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jackson-xc.jar'))
 
             # RESTEasy
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_atom_provider_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_atom_provider_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'resteasy-atom-provider.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_client_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_client_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'resteasy-client.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_jaxb_provider_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_jaxb_provider_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'resteasy-jaxb-provider.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_jaxrs_api_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_jaxrs_api_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'jaxrs-api.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_jaxrs_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_jaxrs_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'resteasy-jaxrs.jar'))
-            deployer.symlink.create(deployer.master_dict['pki_resteasy_jackson_provider_jar'],
+            deployer.symlink.create(deployer.mdict['pki_resteasy_jackson_provider_jar'],
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_common_lib_path'],
+                    deployer.mdict['pki_tomcat_common_lib_path'],
                     'resteasy-jackson-provider.jar'))
 
             # establish shared NSS security databases for this instance
-            deployer.directory.create(deployer.master_dict['pki_database_path'])
+            deployer.directory.create(deployer.mdict['pki_database_path'])
             # establish instance convenience symbolic links
-            deployer.symlink.create(deployer.master_dict['pki_database_path'],
-                            deployer.master_dict['pki_instance_database_link'])
-            deployer.symlink.create(deployer.master_dict['pki_instance_configuration_path'],
-                            deployer.master_dict['pki_instance_conf_link'])
-            deployer.symlink.create(deployer.master_dict['pki_instance_log_path'],
-                            deployer.master_dict['pki_instance_logs_link'])
+            deployer.symlink.create(deployer.mdict['pki_database_path'],
+                            deployer.mdict['pki_instance_database_link'])
+            deployer.symlink.create(deployer.mdict['pki_instance_configuration_path'],
+                            deployer.mdict['pki_instance_conf_link'])
+            deployer.symlink.create(deployer.mdict['pki_instance_log_path'],
+                            deployer.mdict['pki_instance_logs_link'])
 
-        if deployer.master_dict['pki_subsystem'] == 'TKS':
-            deployer.symlink.create(deployer.master_dict['pki_symkey_jar'],
-                deployer.master_dict['pki_symkey_jar_link'])
+        if deployer.mdict['pki_subsystem'] == 'TKS':
+            deployer.symlink.create(deployer.mdict['pki_symkey_jar'],
+                deployer.mdict['pki_symkey_jar_link'])
 
         return self.rv
 
@@ -240,42 +240,42 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.INSTANCE_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
 
-        if deployer.master_dict['pki_subsystem'] == 'TKS':
-            deployer.symlink.delete(deployer.master_dict['pki_symkey_jar_link'])
+        if deployer.mdict['pki_subsystem'] == 'TKS':
+            deployer.symlink.delete(deployer.mdict['pki_symkey_jar_link'])
 
-        if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
            deployer.instance.apache_instance_subsystems() == 0:
             # remove Apache instance base
-            deployer.directory.delete(deployer.master_dict['pki_instance_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_path'])
             # remove Apache instance logs
             # remove shared NSS security database path for this instance
-            deployer.directory.delete(deployer.master_dict['pki_database_path'])
+            deployer.directory.delete(deployer.mdict['pki_database_path'])
             # remove Apache instance configuration
-            deployer.directory.delete(deployer.master_dict['pki_instance_configuration_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_configuration_path'])
             # remove Apache instance registry
-            deployer.directory.delete(deployer.master_dict['pki_instance_registry_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_registry_path'])
             # remove Apache PKI registry (if empty)
             if deployer.instance.apache_instances() == 0:
                 deployer.directory.delete(
-                    deployer.master_dict['pki_instance_type_registry_path'])
+                    deployer.mdict['pki_instance_type_registry_path'])
 
-        elif deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+        elif deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
              len(deployer.instance.tomcat_instance_subsystems()) == 0:
             # remove Tomcat instance base
-            deployer.directory.delete(deployer.master_dict['pki_instance_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_path'])
             # remove Tomcat instance logs
-            deployer.directory.delete(deployer.master_dict['pki_instance_log_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_log_path'])
             # remove shared NSS security database path for this instance
-            deployer.directory.delete(deployer.master_dict['pki_database_path'])
+            deployer.directory.delete(deployer.mdict['pki_database_path'])
             # remove Tomcat instance configuration
-            deployer.directory.delete(deployer.master_dict['pki_instance_configuration_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_configuration_path'])
             # remove PKI 'tomcat.conf' instance file
-            deployer.file.delete(deployer.master_dict['pki_target_tomcat_conf_instance_id'])
+            deployer.file.delete(deployer.mdict['pki_target_tomcat_conf_instance_id'])
             # remove Tomcat instance registry
-            deployer.directory.delete(deployer.master_dict['pki_instance_registry_path'])
+            deployer.directory.delete(deployer.mdict['pki_instance_registry_path'])
             # remove Tomcat PKI registry (if empty)
             if deployer.instance.tomcat_instances() == 0:
                 deployer.directory.delete(
-                    deployer.master_dict['pki_instance_type_registry_path'])
+                    deployer.mdict['pki_instance_type_registry_path'])
 
         return self.rv
